Get balance

Get Balance

get

Allows you to check your current total balance for both Proprietary and Transactional accounts.

Header parameters
Content-TypestringRequiredDefault: application/json
X-DatestringRequired

ISO8601 Datetime with Timezone: yyyy-MM-dd'T'HH:mm:ssZ

Example: 2025-12-03T08:38:02.153Z
X-LoginstringRequired

Merchant X-Login API Key

AuthorizationstringRequired

Authorization control hash (Signature)

Responses
200

Successful Response

application/json
get
/v1/wallet/balance
GET /v1/wallet/balance HTTP/1.1
Host: api-stg.onekeypayments.com
Content-Type: application/json
X-Date: 2025-12-03T08:38:02.153Z
X-Login: text
Authorization: text
Accept: */*
200

Successful Response

{
  "balances": [
    {
      "amount": 200,
      "currency": "BRL",
      "type": "PROPRIETARY"
    },
    {
      "amount": 222,
      "currency": "BRL",
      "type": "TRANSACTIONAL"
    }
  ]
}

Last updated

Was this helpful?